Support » Plugin: Autocomplete Google Address » [Urgent] Help with resolving jQuery.fn.load() is deprecated

  • Resolved ihaveaquestion88

    (@ihaveaquestion88)


    Hello, I’m getting the following errors:

    The following are deprecations logged from the front-end of your site, or while live deprecation notices were disabled in the admin area.

    Error: jQuery.fn.load() is deprecated
    Plugin: Autocomplete Google Address

    File location: https://themetrohouse.com/wp-content/plugins/autocomplete-google-address/js/custom.js

    Triggered on page: https://themetrohouse.com/maryland/?elementor-preview=1634&ver=1606673339

    Here’s the code:

    function autocomplet_set_google_autocomplete(){
    jQuery(input_fields).each(function(){

    var autocomplete= new google.maps.places.Autocomplete(
    /** @type {HTMLInputElement} */(this));
    // When the user selects an address from the dropdown,
    // populate the address fields in the form.

    });
    }
    jQuery(window).on(‘load’,function () {
    autocomplet_set_google_autocomplete();
    });

    The errors are affecting my sites functionality- especially my conditional forms. Please help.

    Thanks,
    K

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • @ihaveaquestion88 Looks like you upgraded to WP 5.6, which now uses a new version of jQuery (important to note, the plugin author has not tagged this plugin as being tested up to 5.6 yet either). This is definitely something the plugin author should address, but as a fix in the meantime you should install the Enable jQuery Migrate Helper plugin which SHOULD implement an older version of jQuery Migrate and fix these errors on your site https://wordpress.org/plugins/enable-jquery-migrate-helper/

    Thread Starter ihaveaquestion88

    (@ihaveaquestion88)

    Hi @dmchale. Thanks so much for your reply/help!

    Unfortunately, I’m afraid installing “Enable JQuery Migrate Helper” doesn’t resolve the issue. I’m still getting the same error message. I’ve also tried updating the code (via the FTP manager) to

    $(window).on(‘load’, function() {

    I’ve actually found another Autocomplete address solution that fits my needs and would like to fully delete this plugin altogether. I’ve tried deleting the plugin and the file associated with it, however, the Autocomplete Google Address plugin may be leaving files on my site even after its deleted. I’ve been trying to figure this out for awhile now and would very much appreciate any additional insights you may have.

    Thanks,

    @ihaveaquestion88, can you give the name of another working plugin?

    Thanks.

    Thread Starter ihaveaquestion88

    (@ihaveaquestion88)

    Hi @nurkamol, thanks for reaching out! I was able to resolve the issue by resetting my site.

    Thanks again!

    Plugin Author Md Nishath Khandakar

    (@nishatbd31)

    This issue solved now

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Urgent] Help with resolving jQuery.fn.load() is deprecated’ is closed to new replies.